echo off
cls
if "%1"=="A:" goto check
if "%1"=="a:" goto check
if "%1"=="B:" goto check
if "%1"=="b:" goto check
goto syntax
:check
if "%2"=="C:" goto input1
if "%2"=="c:" goto input1
if "%2"=="D:" goto input1
if "%2"=="d:" goto input1
if "%2"=="E:" goto input1
if "%2"=="e:" goto input1
if "%2"=="F:" goto input1
if "%2"=="f:" goto input1
goto syntax
:input1
echo Place PROGRAM diskette into drive %1
pause
%1
if not exist wssharwr.exe goto input1
%2
md \wssharwr
cd \wssharwr
copy %1*.* %2
:input2
echo Place DICTIONARY diskette into drive %1
pause
%1
if not exist a.dic goto input2
%2
cd \wssharwr
copy %1*.* %2
goto exit
:syntax
echo Correct command is
echo     INSTALL diskette_drive: hard_drive:
echo Example
echo     INSTALL A: C:
goto exit2
:exit
cls
echo *** INSTALLATION COMPLETE ***
echo -
echo To start program, enter GO
:exit2
